import { getImg } from "@/utils";
import { ref } from "vue";

export function useLeft() {
  const item1 = ref([
    {
      name: "总充电量",
      image: getImg("storage/item1.png"),
      value: 3845,
      unit: "MWH",
    },
    {
      name: "总放电量",
      image: getImg("storage/item2.png"),
      value: 7945,
      unit: "MWH",
    },
    {
      name: "累计充电次数",
      image: getImg("storage/item3.png"),
      value: 8541,
      unit: "次",
    },
  ]);
  const item2 = ref([
    {
      name: "今日充电",
      image: getImg("home/icon1.png"),
      value: 36,
      unit: "kw.h",
    },
    {
      name: "今日放电",
      image: getImg("home/icon2.png"),
      value: 345,
      unit: "kw.h",
    },
    {
      name: "电池温度",
      image: getImg("home/icon3.png"),
      value: 36.4,
      unit: "°C",
    },
    {
      name: "SOH充电量",
      image: getImg("home/icon4.png"),
      value: 345,
      unit: "次",
    },
  ]);
  return {
    item1,
    item2,
  };
}
